## org.springframework.aop.target.dynamic
Interface Refreshable

All Known Implementing Classes:
  AbstractRefreshableTargetSource, BeanFactoryRefreshableTargetSource, RefreshableScriptTargetSource

    public interface Refreshable

Interface to be implemented by dynamic target objects, which support reloading and optionally polling for updates.

Since:
  2.0
Author:
  Rod Johnson, Rob Harrop

Method Summary
`long` `getLastRefreshTime()` Return the last time an actual refresh happened (as timestamp).
`long` `getRefreshCount()` Return the number of actual refreshes since startup.
`void` `refresh()` Refresh the underlying target object.

Method Detail

### refresh

    void refresh()

  Refresh the underlying target object.

### getRefreshCount

    long getRefreshCount()

  Return the number of actual refreshes since startup.

### getLastRefreshTime

    long getLastRefreshTime()

  Return the last time an actual refresh happened (as timestamp).